name: Prometheus adapter
services:
  NodeGroupInventoryWallet:
    name: NodeGroupInventoryWallet
    type: NodeGroupInventoryWallet
    apiVersion: core.meshery.io/v1alpha1
    version: 0.7.1
    model: meshery-core
    dependsOn:
    - prometheus-adapter
    traits:
      meshmap:
        edges: []
        id: cd065ae5-fbd8-44d8-aabd-7c541c126f9f
        label: NodeGroupInventoryWallet
        meshmodel-data:
          category:
            metadata: null
            name: Orchestration & Management
          components: null
          description: ""
          displayName: Meshery Core
          hostID: 26e64aa8-2d86-57bd-92b3-2a73160d27b4
          id: 3e2db384-d3af-5fac-8af2-684fc3c29446
          metadata:
            isAnnotation: false
            subCategory: App Definition and Development
            svgColor: ui/public/static/img/meshmodels/meshery-core/color/meshery-core-color.svg
            svgComplete: ""
            svgWhite: ui/public/static/img/meshmodels/meshery-core/color/meshery-core-color.svg
          model:
            version: 0.7.1
          name: meshery-core
          registrant:
            hostname: artifacthub
          relationships: null
          schemaVersion: core.meshery.io/v1beta1
          status: enabled
          subCategory: App Definition and Development
          version: v1.0.0
        meshmodel-metadata:
          capabilities: |-
            {
              "designer": {
                "pass-events-to": "parent", "supportsCompoundDragAndDrop":false,
                "edit": {
                  "config": false,
                  "copy": false,
                  "delete": false,
                  "duplicate": false,
                  "reset-styles": false,
                  "resolve": false,
                  "lock": false,
                  "shape": {
                    "convert-shape": false
                  },
                  "style": false
                },
                "label": {
                  "edit": false,
                  "show": false,
                  "sync-with-config-property": "none"
                }
              }
            }
          defaultData: '{"label":""}'
          genealogy: parent
          hasInvalidSchema: true
          isAnnotation: true
          primaryColor: '#00B39F'
          secondaryColor: '#00D3A9'
          shape: round-rectangle
          shapePolygonPoints: ""
          status: enabled
          styleOverrides:
            background-image: none
            background-opacity: 0
            border-style: dashed
            border-width: 0
            data:
              label: ""
            height: 30px
            width: 30px
            z-index: 3
          styles: '{"height":"30px","width":"30px", "background-image":"none","border-width":0,"border-style":"dashed","background-opacity":0}'
          subCategory: ""
          svgColor: ui/public/static/img/meshmodels/meshery-core/color/anchornode-color.svg
          svgComplete: ""
          svgWhite: ui/public/static/img/meshmodels/meshery-core/white/anchornode-white.svg
        parent: 89dd849c-fee3-483f-9bff-c8af07eb5357
        position:
          posX: 250
          posY: 250
        whiteboardData: {}
  prometheus-adapter:
    name: prometheus-adapter
    type: Deployment
    apiVersion: apps/v1
    namespace: monitoring
    model: kubernetes
    labels:
      app.kubernetes.io/component: metrics-adapter
      app.kubernetes.io/name: prometheus-adapter
      app.kubernetes.io/part-of: kube-prometheus
      app.kubernetes.io/version: 0.11.2
    settings:
      spec:
        replicas: 2
        selector:
          match Labels:
            app.kubernetes.io/component: metrics-adapter
            app.kubernetes.io/name: prometheus-adapter
            app.kubernetes.io/part-of: kube-prometheus
        strategy:
          rolling Update:
            max Surge: 1
            max Unavailable: 1
        template:
          metadata:
            annotations:
              checksum.config/md5: 3b1ebf7df0232d1675896f67b66373db
            labels:
              app.kubernetes.io/component: metrics-adapter
              app.kubernetes.io/name: prometheus-adapter
              app.kubernetes.io/part-of: kube-prometheus
              app.kubernetes.io/version: 0.11.2
          spec:
            automount Service Account Token: true
            containers:
            - args:
              - --cert-dir=/var/run/serving-cert
              - --config=/etc/adapter/config.yaml
              - --metrics-relist-interval=1m
              - --prometheus-url=http://prometheus-k8s.monitoring.svc:9090/
              - --secure-port=6443
              - --tls-cipher-suites=TLS_ECDHE_RSA_WITH_CHACHA20_POLY1305,TLS_ECDHE_ECDSA_WITH_CHACHA20_POLY1305,TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256,TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384,TLS_ECDHE_ECDSA_WITH_AES_128_GCM_SHA256,TLS_ECDHE_ECDSA_WITH_AES_256_GCM_SHA384,TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA,TLS_ECDHE_ECDSA_WITH_AES_128_CBC_SHA256,TLS_ECDHE_ECDSA_WITH_AES_128_CBC_SHA,TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA,TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA,TLS_RSA_WITH_AES_128_GCM_SHA256,TLS_RSA_WITH_AES_256_GCM_SHA384,TLS_RSA_WITH_AES_128_CBC_SHA,TLS_RSA_WITH_AES_256_CBC_SHA
              image: registry.k8s.io/prometheus-adapter/prometheus-adapter:v0.11.2
              liveness Probe:
                failure Threshold: 5
                http Get:
                  path: /livez
                  port: https
                  scheme: HTTPS
                period Seconds: 5
              name: prometheus-adapter
              ports:
              - container Port: 6443
                name: https
              readiness Probe:
                failure Threshold: 5
                http Get:
                  path: /readyz
                  port: https
                  scheme: HTTPS
                period Seconds: 5
              resources:
                limits:
                  cpu: 250m
                  memory: 180Mi
                requests:
                  cpu: 102m
                  memory: 180Mi
              security Context:
                allow Privilege Escalation: false
                capabilities:
                  drop:
                  - ALL
                read Only Root Filesystem: true
                run As Non Root: true
                seccomp Profile:
                  type: RuntimeDefault
              startup Probe:
                failure Threshold: 18
                http Get:
                  path: /livez
                  port: https
                  scheme: HTTPS
                period Seconds: 10
              volume Mounts:
              - mount Path: /tmp
                name: tmpfs
                read Only: false
              - mount Path: /var/run/serving-cert
                name: volume-serving-cert
                read Only: false
              - mount Path: /etc/adapter
                name: config
                read Only: false
            node Selector:
              kubernetes.io/os: linux
            service Account Name: prometheus-adapter
            volumes:
            - empty Dir: {}
              name: tmpfs
            - empty Dir: {}
              name: volume-serving-cert
            - config Map:
                name: adapter-config
              name: config
    traits:
      meshmap:
        edges: []
        id: 89dd849c-fee3-483f-9bff-c8af07eb5357
        meshmodel-metadata:
          capabilities: |2-
             {
              "designer": {
                "edit": {
                  "shape": {
                    "convert-shape": false
                  }
                }
              }
            }
          defaultData: ""
          genealogy: parent
          isAnnotation: false
          isCustomResource: false
          isModelAnnotation: "FALSE"
          isNamespaced: true
          logoURL: Created by Meshery Authors
          model: kubernetes
          modelDisplayName: Kubernetes
          primaryColor: '#326CE5'
          secondaryColor: '#7aa1f0'
          shape: round-pentagon
          shapePolygonPoints: ""
          status: enabled
          styleOverrides: '{"border-width":2,"background-opacity":0.5}'
          styles: '{"border-width":2,"background-opacity":0.5}'
          subCategory: ""
          svgColor: ui/public/static/img/meshmodels/kubernetes/color/deployment-color.svg
          svgComplete: ui/public/static/img/meshmodels/kubernetes/complete/deployment-complete.svg
          svgWhite: ui/public/static/img/meshmodels/kubernetes/white/deployment-white.svg
        position:
          posX: 250
          posY: 250
        whiteboardData:
          style: {}
